import Head from "next/head";
import dynamic from "next/dynamic";
import { Suspense, useEffect, useState } from "react";
import Image from "next/image";
import Loader from "../components/Loader";
// import BestProduct from "../components/BestProduct";
// import BestSeller from "../components/BestSeller";
// import Category from "../components/Category";
// import Promo from "../components/Promo";

const Promo = dynamic(() => import("../components/Promo"), {
  ssr: false,
});
const BestProduct = dynamic(() => import("../components/BestProduct"), {
  ssr: false,
});
const BestSeller = dynamic(() => import("../components/BestSeller"), {
  ssr: false,
});
const Category = dynamic(() => import("../components/Category"));

export default function Home() {
  const [loading, setLoading] = useState(true);

  useEffect(() => {
    setLoading(false);
  }, [loading]);
  return (
    <div className="w-full">
      <Head>
        <title>Situs Belanja Online Kita Semua</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <section id="promo " className="hidden md:flex w-full  ">
        {!loading && <Promo />}
      </section>
      <Category />
      <BestSeller />
      <BestProduct />
    </div>
  );
}
